#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	ax25 libraries for hamradio applications
Summary(pl.UTF-8):	Biblioteki ax25 dla aplikacji hamradio
Name:		libax25
Version:	0.0.11
Release:	5
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.sourceforge.net/ax25/%{name}-%{version}.tar.gz
# Source0-md5:	c6ea01e81118451e2e892e634c576c17
Patch0:		libadd.patch
URL:		http://ax25.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir		/var/lib

%description
These libraries are used for applications that need to get to some
special structures used in hamradio.

%description -l pl.UTF-8
Te biblioteki są wykorzystywane przez aplikacje wymagające specjalnych
struktur używanych przez urządzenia hamradio.

%package devel
Summary:	ax25 libraries development files
Summary(pl.UTF-8):	Pliki dla programistów używających bibliotek ax25
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibc-devel >= 2.1
Requires:	zlib-devel

%description devel
The extra files needed to compile hamradio utilities.

%description devel -l pl.UTF-8
Dodatkowe pliki potrzebne do kompilacji programów dla radioamatorów.

%package static
Summary:	ax25 static libraries
Summary(pl.UTF-8):	Biblioteki statyczne ax25
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
ax25 static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne ax25.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/ax25

%{__make} install installconf \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libax25.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libax25.so.0
%attr(755,root,root) %{_libdir}/libax25io.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libax25io.so.0
%dir %{_sysconfdir}/ax25
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ax25/axports
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ax25/nrports
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ax25/rsports
%dir %{_localstatedir}/ax25
%{_mandir}/man5/axports.5*
%{_mandir}/man5/nrports.5*
%{_mandir}/man5/rsports.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libax25.so
%attr(755,root,root) %{_libdir}/libax25io.so
%{_libdir}/libax25.la
%{_libdir}/libax25io.la
%{_includedir}/netax25/*.h
%{_mandir}/man3/ax25.3*
%{_mandir}/man3/rose.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libax25.a
%{_libdir}/libax25io.a
%endif
%changelog
* Sat Dec 19 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libax25.git;a=log;h=master

* Sat Dec 19 2015 Jan Rękorajski <baggins@pld-linux.org> 31d6726
- release 5 (by relup.sh)

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 615c25f
- more verbose files, cleanup

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> 1535816
- track soname

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b824226
- added libadd.patch
- ghost symlink
- BR: zlib-devel
- rel 4

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 211148a
- link against zlib

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e6469d
- release 3

* Mon Jul 23 2007 witekfl <witekfl@pld-linux.org> 0ac5f74
- added missing #

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d387294
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 414213b
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> bc0f301
- strict internal deps

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> eeee03a
- added header "Conditional build:"

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> b197479
- s/bcond_without static/bcond_without static_libs/

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> ca1429e
- added bcond_without static

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> 6ca4947
- release 2 for Ac (1 is for Ra)

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> aedc0ef
- spaces -> tab

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2e58bb5
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d71ef2a
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Apr 28 2003 djrzulf <djrzulf@pld-linux.org> e3241c8
- changelog z tamtego pliku popsuł speca

* Sun Apr 27 2003 djrzulf <djrzulf@pld-linux.org> df4adb2
- From ChangeLog:
  * libax25io handles nonblocking io correctly. (PE1RXQ)
  THIS BREAKS PRACTICLY EVERY APP USING THIS LIBRARY, FIX THEM!!!
- updated to 0.0.11,
- STBR,

* Mon Mar 03 2003 Jakub Bogusz <qboosh@pld-linux.org> 44cb0d8
- FHS-compatibility fix (/var/ax25 -> /var/lib/ax25); release 3

